1. 3 History Dataset
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 3 History Dataset

3.1 Vessel History Track

GET
https://api.elaneglobal.com/v1/History/VesselHistoryTrack

Description#

The Vessel History Track retrieves historical track points of a vessel by its MMSI number and a specified time period.

Use Cases#

1.
Logistics Tracking
Track vessel historical track data, and support track query, track visualization and track playback in combination with nautical charts.
2.
Vessel Behavior Analysis
Analyze whether a vessel has abnormal navigational behaviors based on each track point in the historical voyage data, combined with meteorological data, navigational warnings and other relevant information.

Request Limits#

An API key must be created before using this service.
Service calls are subject to quota restrictions according to your permission type.
The service only supports querying vessel tracks within the latest month by default.
To view your current service access permissions or access vessel track records from an earlier time period, please contact our support team: support@elaneglobal.com.

Endpoint#

EndpointHTTP Method
https://api.elaneglobal.com/v1/History/VesselHistoryTrackGET

Example API Call#

https://api.elaneglobal.com/v1/History/VesselHistoryTrack?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&start_time=1744017189&end_time=1744019589
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of elaneglobal.com, bound to the domain api.elaneglobal.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please contact our support team: support@elaneglobal.com.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/History/VesselHistoryTrack?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&start_time=1744017189&end_time=1744019589&output'

Responses

⚪0success
application/json
Body

Example
{
  "status": 0,
  "msg": "",
  "data": [
    {
      "data_source": 0,
      "utc": 1744017444,
      "lng": 121.730682,
      "lat": 38.272802,
      "sog": 16.6,
      "cog": 295.2
    },
    {
      "data_source": 0,
      "utc": 1744017749,
      "lng": 121.703605,
      "lat": 38.282833,
      "sog": 16.7,
      "cog": 294.9
    },
    {
      "data_source": 0,
      "utc": 1744018056,
      "lng": 121.676097,
      "lat": 38.293053,
      "sog": 16.8,
      "cog": 294.5
    },
    {
      "data_source": 0,
      "utc": 1744018361,
      "lng": 121.648798,
      "lat": 38.303138,
      "sog": 16.8,
      "cog": 294.7
    },
    {
      "data_source": 0,
      "utc": 1744018662,
      "lng": 121.621805,
      "lat": 38.313288,
      "sog": 16.9,
      "cog": 296.8
    },
    {
      "data_source": 0,
      "utc": 1744018968,
      "lng": 121.594477,
      "lat": 38.324208,
      "sog": 17,
      "cog": 296.7
    },
    {
      "data_source": 0,
      "utc": 1744019268,
      "lng": 121.567605,
      "lat": 38.334835,
      "sog": 17,
      "cog": 296.1
    },
    {
      "data_source": 0,
      "utc": 1744019568,
      "lng": 121.540758,
      "lat": 38.345627,
      "sog": 17.1,
      "cog": 297.1
    }
  ]
}
Previous
2.4 Inbound / Expected Arrivals
Next
3.2 Ship-to-Ship (STS) Events
Built with